import { jsx } from "react/jsx-runtime";
import { TokenMDAO as TokenMDAO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMDAO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MDAO", "data-name": "TokenMDAO", ...props, children: /* @__PURE__ */ jsx(TokenMDAO$1, { variant }) });
  }
);
TokenMDAO.displayName = "TokenMDAO";
Object.assign(TokenMDAO, { isGdsIcon: true });
export {
  TokenMDAO
};
